Bug 1209540 - 3 additional properties are missing from /WEB-INF/js.quartz.properties
Summary: 3 additional properties are missing from /WEB-INF/js.quartz.properties
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Yedidyah Bar David
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks: 1119603 1212306
TreeView+ depends on / blocked
 
Reported: 2015-04-07 15:34 UTC by Shirly Radco
Modified: 2016-03-09 21:18 UTC (History)
9 users (show)

Fixed In Version: rhevm-reports-3.6.0-5.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 21:18:27 UTC
oVirt Team: Integration


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0425 normal SHIPPED_LIVE rhevm-reports bug fix and enhancement update 2016-03-10 01:21:14 UTC
oVirt gerrit 39679 master MERGED packaging: setup: add params to js.quartz.properties Never

Description Shirly Radco 2015-04-07 15:34:24 UTC
Description of problem:
Jasper added to /WEB-INF/js.quartz.properties configuration file 3 additional properties that are mandatory for deploying the new jasperreports-server war.

Please add the to the end of the file these properties:
report.quartz.misfirepolicy.singlesimplejob=SMART_POLICY
report.quartz.misfirepolicy.repeatingsimplejob=SMART_POLICY
report.quartz.misfirepolicy.calendarjob=SMART_POLICY

Comment 1 Yedidyah Bar David 2015-04-08 07:03:28 UTC
Only on upgrade?

Only if they are not there already?

Is order important?

Comment 2 Shirly Radco 2015-04-08 12:51:26 UTC
(In reply to Yedidyah Bar David from comment #1)
> Only on upgrade?
>

Yes, only on upgrade.
 
> Only if they are not there already?
Yes. Only if they are not already there.

> 
> Is order important?
Order is not important.

Comment 3 Yedidyah Bar David 2015-04-08 14:27:55 UTC
Should we enforce these values? I.e. if a user has e.g.

report.quartz.misfirepolicy.singlesimplejob=SIMPLE_POLICY

should we change it to SMART_POLICY? Current patch does.

Comment 4 Shirly Radco 2015-04-08 14:31:15 UTC
(In reply to Yedidyah Bar David from comment #3)
> Should we enforce these values? I.e. if a user has e.g.
> 
> report.quartz.misfirepolicy.singlesimplejob=SIMPLE_POLICY
> 
> should we change it to SMART_POLICY? Current patch does.

Only add the line if the parameter does not already exists.
If exist then don't change the value.

Comment 5 Petr Kubica 2015-05-26 14:49:18 UTC
Hi
Which file ? I found two files:
[1] /var/lib/ovirt-engine-reports/build-conf/webapp/WEB-INF/js.quartz.properties
[2] /var/lib/ovirt-engine-reports/ovirt-engine-reports.war/WEB-INF/js.quartz.properties

I changed one of added properties to MISFIRE_INSTRUCTION_FIRE_NOW (from value would be..) in file [1], after update it changed back to SMART_POLICY, but in file [2] the property keep the old value.
Is it right ?

Comment 6 Yedidyah Bar David 2015-05-27 05:26:50 UTC
(In reply to Petr Kubica from comment #5)
> Hi
> Which file ? I found two files:
> [1]
> /var/lib/ovirt-engine-reports/build-conf/webapp/WEB-INF/js.quartz.properties

Not this one.

The only file under /var/lib/ovirt-engine-reports/build-conf that we touch is master.properties. All the rest are generated by jasper.

> [2]
> /var/lib/ovirt-engine-reports/ovirt-engine-reports.war/WEB-INF/js.quartz.
> properties

This one.

> 
> I changed one of added properties to MISFIRE_INSTRUCTION_FIRE_NOW (from
> value would be..) in file [1], after update it changed back to SMART_POLICY,
> but in file [2] the property keep the old value.
> Is it right ?

Yes.

Comment 7 Petr Kubica 2015-05-27 10:59:46 UTC
Thank you.

Verified with:
jasperreports-server-pro-6.0.1-1.el6ev.noarch
rhevm-reports-3.6.0-5.el6ev.noarch

Comment 9 errata-xmlrpc 2016-03-09 21:18:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0425.html


Note You need to log in before you can comment on or make changes to this bug.